<%- include('./include/header.ejs'); -%>

    <body class="hold-transition sidebar-mini " style="height: auto; width: auto;"></body>
    <%- include('./include/navBar.ejs'); -%>
        <%- include('./include/slideBar.ejs'); -%>
            <div class="content-wrapper ">
                <form id="updateUser" class="content">
                    <div class="container-fluid">
                        <!-- SELECT2 EXAMPLE -->
                        <div class="card card-default">
                            <div class="card-header">
                                <h3 class="card-title">Customers</h3>
                            </div>
                            <!-- /.card-header -->
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>firstName</label>
                                            <input class="form-control" name="firstName" style="width: 100%;"
                                                value="<%= getUser.firstName %>">
                                        </div>
                                        <!-- /.form-group -->
                                        <div class="form-group">
                                            <label>lastName</label>
                                            <input class="form-control" name="lastName" style="width: 100%;"
                                                value="<%= getUser.lastName %>">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label>email</label>
                                            <input class="form-control" name="email" style="width: 100%;"
                                                value="<%= getUser.email %>">
                                        </div>
                                        <!-- /.form-group -->
                                        <div class="form-group">
                                            <label>password</label>
                                            <input class="form-control" name="password" style="width: 100%;">
                                        </div>
                                        <!-- /.form-group -->
                                    </div>
                                    <!-- /.col -->
                                </div>
                                <!-- /.row -->


                                <div class="row">
                                    <div class="col-12 col-sm-6">
                                        <div class="form-group">
                                            <label>mobileNo</label>
                                            <input class="form-control" name="mobileNo" style="width: 100%;"
                                                value="<%= getUser.mobileNo %>">
                                        </div>

                                    </div>
                                    <!-- /.form-group -->
                                </div>
                                <div class="col-2 btn-lg float-right">
                                    <button type="submit" class="btn btn-primary btn-block">Update</button>
                                </div>
                            </div>
                            <!-- /.row -->
                        </div>
                        <div class="float-right " >
                            <a href="/admin/user/list/view" >Back >>></a>
                        </div>
                    </div>
                </form>
            </div>
            <%- include('./include/footer.ejs'); -%>
                <script>
                    $(document).ready(function () {
                        $('#updateUser').validate({
                            rules: {
                                firstName: {
                                    required: true,
                                    maxlength: 15
                                },
                                lastName: {
                                    required: true,
                                    maxlength: 15
                                },
                                email: {
                                    required: true,
                                    email: true,
                                },
                                password: {
                                    required: true,
                                    minlength: 5
                                },
                                mobileNo: {
                                    required: true,
                                    maxlength: 13,
                                    minlength: 10
                                }
                            },
                            messages: {
                                firstName: {
                                    required: "Please enter a first name",
                                    maxlength: "Your first name must be less than 15 characters"
                                },
                                lastName: {
                                    required: "Please enter a last name",
                                    maxlength: "Your last name must be less than 15 characters"
                                },
                                email: {
                                    required: "Please enter a email address",
                                    email: "Please enter a valid email address"
                                },
                                password: {
                                    required: "Please provide a password",
                                    minlength: "Your password must be at least 5 characters long"
                                },
                                mobileNo: {
                                    required: "Please provide a mobile number",
                                    minlength: "Your mobile number must be at least 10 characters long",
                                    maxlength: "Your mobile number must be less than 14 characters"
                                }
                            },
                            errorElement: 'span',
                            errorPlacement: function (error, element) {
                                error.addClass('invalid-feedback');
                                element.closest('.form-group').append(error);
                            },
                            highlight: function (element, errorClass, validClass) {
                                $(element).addClass('is-invalid');
                            },
                            unhighlight: function (element, errorClass, validClass) {
                                $(element).removeClass('is-invalid');
                            }
                        })
                        $("#updateUser").submit(function (event) {
                            if ($(this).valid()) {
                                event.preventDefault()
                                $.ajax({
                                    url: "/admin/user/update/<%= getUser._id %>",
                                    method: 'PUT',
                                    data: $('#updateUser').serialize(),
                                    dataType: 'json',
                                    headers: { "Authorization": "Bearer " + localStorage.getItem("token") },
                                    success: function (data) {
                                        if (data.responseCode == 200) {
                                            toastr.success(data.responseMessage)
                                            window.location.href = "/admin/user/list/view"
                                        }
                                        if (data.responseCode == 400) {
                                            toastr.error(data.responseMessage)
                                        }
                                    },
                                    error: function (data) {
                                        console.log(data);

                                    },
                                })
                            }
                        })
                    })
                </script>
                </body>

                </html>